ACL
21 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| exportOsgCustomAcl | GET | Export gateway custom ACL rules |
| deleteAcl | DELETE | Delete ACL |
| getEapAclList | GET | Get EAP ACL list |
| createEapAcl | POST | Create new EAP ACL |
| modifyEapAcl | PUT | Modify an EAP ACL |
| batchDeleteOsgCustomAcls | POST | batch Delete Osg Custom Acls |
| batchEditOsgCustomAclStatus | POST | batch Edit Osg Custom Acls |
| modifyAclIndex | POST | Modify ACL Index |
| getOsgAclList | GET | Get gateway ACL list |
| createOsgAcl | POST | Create new gateway ACL |
| modifyOsgAcl | PUT | Modify a gateway ACL |
| clearOsgAclHitCounts | POST | Clear gateway ACL hit counts |
| getAclConfigTypeSetting | GET | Get gateway ACL config mode |
| modifyAclConfigTypeSetting | PUT | Modify gateway ACL config mode |
| getOsgCustomAclList | GET | Get osg custom ACL |
| updateOsgCustomAcls | PATCH | Update osg custom ACLs |
| clearOsgHitCounts | POST | Clear gateway custom ACL hit counts |
| modifyOsgCustomAclIndex | POST | Modify gateway custom ACL index |
| getOswAclList | GET | Get switch ACL list |
| createOswAcl | POST | Create new switch ACL |
| modifyOswAcl | PUT | Modify a switch ACL |
exportOsgCustomAcl
GET /openapi/v1/{omadacId}/files/sites/{siteId}/acls/export
Export gateway custom ACL rules
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "exportOsgCustomAcl",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Export gateway custom ACL rules
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
deleteAcl
DELETE /openapi/v1/{omadacId}/sites/{siteId}/acls/{aclId}
Delete ACL
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
aclId | path | string | yes | ACL ID |
// omada_call_operation
{
"operationId": "deleteAcl",
"params": {
"siteId": "<siteId>",
"aclId": "<aclId>"
}
}Details, permissions and error codes
Delete ACL.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
getEapAclList
GET /openapi/v1/{omadacId}/sites/{siteId}/acls/eap-acls
Get EAP ACL list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getEapAclList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get EAP ACL list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createEapAcl
POST /openapi/v1/{omadacId}/sites/{siteId}/acls/eap-acls
Create new EAP ACL
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema EapACLConfig
| Field | Type | Required | Description |
|---|---|---|---|
description | string | yes | ACL rule description, description should contain 1 to 512 characters. |
status | boolean | yes | Status should be a value as follows: 0: disable; 1: enable |
policy | integer | yes | Policy should be a value as follows: 0: drop; 1: allow; |
protocols | array<integer> | yes | For the values of protocols, refer to section 5.5 of the Open API Access Guide. |
sourceIds | array<string> | yes | Source IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
destinationIds | array<string> | no | Source IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
sourceType | integer | yes | SourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group |
destinationType | integer | yes | DestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group |
// omada_call_operation
{
"operationId": "createEapAcl",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new EAP ACL.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
modifyEapAcl
PUT /openapi/v1/{omadacId}/sites/{siteId}/acls/eap-acls/{aclId}
Modify an EAP ACL
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
aclId | path | string | yes | ACL ID |
Request body — application/json (required) — schema EapACLConfig
| Field | Type | Required | Description |
|---|---|---|---|
description | string | yes | ACL rule description, description should contain 1 to 512 characters. |
status | boolean | yes | Status should be a value as follows: 0: disable; 1: enable |
policy | integer | yes | Policy should be a value as follows: 0: drop; 1: allow; |
protocols | array<integer> | yes | For the values of protocols, refer to section 5.5 of the Open API Access Guide. |
sourceIds | array<string> | yes | Source IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
destinationIds | array<string> | no | Source IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
sourceType | integer | yes | SourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group |
destinationType | integer | yes | DestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group |
// omada_call_operation
{
"operationId": "modifyEapAcl",
"params": {
"siteId": "<siteId>",
"aclId": "<aclId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an EAP ACL.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
batchDeleteOsgCustomAcls
POST /openapi/v1/{omadacId}/sites/{siteId}/acls/gateway-acls/batch-delete
batch Delete Osg Custom Acls
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema batchIds
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<string> | yes | When selectType is set to all, the ids do not need to be passed and all entries are processed, when selectType is set to include, the id entries contained in the ids are processed, when selectType is set to exclude, the id entries that are not contained in the ids are processed |
selectType | string | no | SelectType all, include or exclude |
searchKey | string | no | Fuzzy query parameters, support field: voucher code |
// omada_call_operation
{
"operationId": "batchDeleteOsgCustomAcls",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
batch Delete Osg Custom Acls
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
batchEditOsgCustomAclStatus
POST /openapi/v1/{omadacId}/sites/{siteId}/acls/gateway-acls/batch-edit
batch Edit Osg Custom Acls
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BatchEditCustomAclOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<string> | yes | When selectType is set to all, the ids do not need to be passed and all entries are processed, when selectType is set to include, the id entries contained in the ids are processed, when selectType is set to exclude, the id entries that are not contained in the ids are processed |
selectType | string | no | SelectType all, include or exclude |
searchKey | string | no | Fuzzy query parameters, support field: voucher code |
log | integer | yes | log status of acl. |
status | integer | yes | enable status of acl. |
// omada_call_operation
{
"operationId": "batchEditOsgCustomAclStatus",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
batch Edit Osg Custom Acls
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
modifyAclIndex
POST /openapi/v1/{omadacId}/sites/{siteId}/acls/modifyIndex
Modify ACL Index
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DragSortIndexOpenapiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | string | yes | "gateway" or "switch" or "eap" |
indexes | object | yes | The order in which items take effect, this object is a Map, the key is item ID and the value is the index you want to set. |
// omada_call_operation
{
"operationId": "modifyAclIndex",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify ACL Index.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
getOsgAclList
GET /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-acls
Get gateway ACL list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getOsgAclList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get gateway ACL list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
createOsgAcl
POST /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-acls
Create new gateway ACL
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema GatewayACLConfig
| Field | Type | Required | Description |
|---|---|---|---|
description | string | yes | ACL rule description, description should contain 1 to 512 characters. |
status | boolean | yes | Status should be a value as follows: 0: disable; 1: enable |
policy | integer | yes | Policy should be a value as follows: 0: drop; 1: allow; |
protocols | array<integer> | yes | For the values of protocols, refer to section 5.5 of the Open API Access Guide. |
sourceIds | array<string> | yes | Source IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
destinationIds | array<string> | no | Source IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
syslog | boolean | yes | Enable remote log |
sourceType | integer | yes | SourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group; 8: Country; 9: Country Group; 11: !Network; 12: !IP Group; 13: !IP-Port Group; 14: !IPv6 Group; 15: !IPv6-port Group |
destinationType | integer | yes | DestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group;10: Domain Group; 11: !Network; 12: !IP Group;13: !IP-Port Group;14: !IPv6 Group;15: !IPv6-port Group |
direction | Gateway direction entity | yes | (Gateway direction entity not expanded; call omada_get_schema "Gateway direction entity") |
stateMode | integer | yes | StateMode should be a value as follows: 0: auto; 1: manual |
states | Gateway ACL states entity | no | (Gateway ACL states entity not expanded; call omada_get_schema "Gateway ACL states entity") |
timeRangeId | string | no | Gateway ACL time range ID. |
// omada_call_operation
{
"operationId": "createOsgAcl",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new gateway ACL.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
modifyOsgAcl
PUT /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-acls/{aclId}
Modify a gateway ACL
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
aclId | path | string | yes | ACL ID |
Request body — application/json (required) — schema GatewayACLConfig
| Field | Type | Required | Description |
|---|---|---|---|
description | string | yes | ACL rule description, description should contain 1 to 512 characters. |
status | boolean | yes | Status should be a value as follows: 0: disable; 1: enable |
policy | integer | yes | Policy should be a value as follows: 0: drop; 1: allow; |
protocols | array<integer> | yes | For the values of protocols, refer to section 5.5 of the Open API Access Guide. |
sourceIds | array<string> | yes | Source IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
destinationIds | array<string> | no | Source IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
syslog | boolean | yes | Enable remote log |
sourceType | integer | yes | SourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group; 8: Country; 9: Country Group; 11: !Network; 12: !IP Group; 13: !IP-Port Group; 14: !IPv6 Group; 15: !IPv6-port Group |
destinationType | integer | yes | DestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group;10: Domain Group; 11: !Network; 12: !IP Group;13: !IP-Port Group;14: !IPv6 Group;15: !IPv6-port Group |
direction | Gateway direction entity | yes | (Gateway direction entity not expanded; call omada_get_schema "Gateway direction entity") |
stateMode | integer | yes | StateMode should be a value as follows: 0: auto; 1: manual |
states | Gateway ACL states entity | no | (Gateway ACL states entity not expanded; call omada_get_schema "Gateway ACL states entity") |
timeRangeId | string | no | Gateway ACL time range ID. |
// omada_call_operation
{
"operationId": "modifyOsgAcl",
"params": {
"siteId": "<siteId>",
"aclId": "<aclId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify a gateway ACL.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
clearOsgAclHitCounts
POST /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-acls/hit-counts
Clear gateway ACL hit counts
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "clearOsgAclHitCounts",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Clear gateway ACL hit counts
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
getAclConfigTypeSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-config-mode
Get gateway ACL config mode
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getAclConfigTypeSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get gateway ACL config mode
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
modifyAclConfigTypeSetting
PUT /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-config-mode
Modify gateway ACL config mode
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema Gateway ACL config mode entity
| Field | Type | Required | Description |
|---|---|---|---|
mode | integer | yes | Gateway acl config mode should be a value as follows: 0: Through profiles; 1: Custom |
// omada_call_operation
{
"operationId": "modifyAclConfigTypeSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway ACL config mode
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44119 - This interface applies to the Omada Pro only. Please do not use it for non-Pro controllers or sites.
getOsgCustomAclList
GET /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-custom-acls
Get osg custom ACL
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getOsgCustomAclList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get osg custom ACL.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44119 - This interface applies to the Omada Pro only. Please do not use it for non-Pro controllers or sites.
updateOsgCustomAcls
PATCH /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-custom-acls
Update osg custom ACLs
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema Gateway Custom ACL update entity
| Field | Type | Required | Description |
|---|---|---|---|
adds | array<GatewayCustomACLAddEntity> | no | Added Custom ACLs. |
deletes | array<string> | no | Deleted Custom ACLs. |
modifies | array<Gateway Custom ACL modify entity> | no | Modified Custom ACLs. |
// omada_call_operation
{
"operationId": "updateOsgCustomAcls",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Update osg custom ACLs.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44119 - This interface applies to the Omada Pro only. Please do not use it for non-Pro controllers or sites.
clearOsgHitCounts
POST /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-custom-acls/hit-counts
Clear gateway custom ACL hit counts
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "clearOsgHitCounts",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Clear gateway custom ACL hit counts
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
modifyOsgCustomAclIndex
POST /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-custom-acls/modifyIndex
Modify gateway custom ACL index
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DragSortIndexOpenapiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | string | yes | "gateway" or "switch" or "eap" |
indexes | object | yes | The order in which items take effect, this object is a Map, the key is item ID and the value is the index you want to set. |
// omada_call_operation
{
"operationId": "modifyOsgCustomAclIndex",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway custom ACL index
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
getOswAclList
GET /openapi/v1/{omadacId}/sites/{siteId}/acls/osw-acls
Get switch ACL list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getOswAclList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get switch ACL list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createOswAcl
POST /openapi/v1/{omadacId}/sites/{siteId}/acls/osw-acls
Create new switch ACL
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SwitchACLConfig
| Field | Type | Required | Description |
|---|---|---|---|
description | string | yes | ACL rule description, description should contain 1 to 512 characters. |
status | boolean | yes | Status should be a value as follows: 0: disable; 1: enable |
policy | integer | yes | Policy should be a value as follows: 0: drop; 1: allow; |
protocols | array<integer> | yes | For the values of protocols, refer to section 5.5 of the Open API Access Guide. |
sourceIds | array<string> | yes | Source IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
destinationIds | array<string> | no | Source IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
sourceType | integer | yes | SourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group |
destinationType | integer | yes | DestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group |
bindingType | integer | yes | BindingType should be a value as follows: 0: all ports; 1: custom ports; 2: all switch vlan; 3: custom switch vlan |
customAclPorts | array<Switch ACL port entity> | no | Only for bindingType is custom ports, select the custom port or LAG of the device |
networkId | string | no | Only for bindingType VLAN |
bindingBridgeVlan | integer | no | Only for bindingType VLAN and network of bridge VLAN |
customAclOsws | array<string> | no | Only for bindingType is custom switch vlan, list of selected switch mac |
customAclStacks | array<string> | no | Only for bindingType is custom switch vlan, list of selected stack id |
customAclDevices | array<CustomAclOswOpenApiVO> | no | Only for bindingType is custom switch vlan, list of selected device |
etherType | Switch ACL ether type entity | yes | (Switch ACL ether type entity not expanded; call omada_get_schema "Switch ACL ether type entity") |
timeRangeId | string | no | Time range profile ID |
biDirectional | boolean | no | Whether to enable the bidirectional, this field required only when creating a new entry |
// omada_call_operation
{
"operationId": "createOswAcl",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new switch ACL.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
modifyOswAcl
PUT /openapi/v1/{omadacId}/sites/{siteId}/acls/osw-acls/{aclId}
Modify a switch ACL
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
aclId | path | string | yes | ACL ID |
Request body — application/json (required) — schema SwitchACLConfig
| Field | Type | Required | Description |
|---|---|---|---|
description | string | yes | ACL rule description, description should contain 1 to 512 characters. |
status | boolean | yes | Status should be a value as follows: 0: disable; 1: enable |
policy | integer | yes | Policy should be a value as follows: 0: drop; 1: allow; |
protocols | array<integer> | yes | For the values of protocols, refer to section 5.5 of the Open API Access Guide. |
sourceIds | array<string> | yes | Source IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
destinationIds | array<string> | no | Source IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
sourceType | integer | yes | SourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group |
destinationType | integer | yes | DestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group |
bindingType | integer | yes | BindingType should be a value as follows: 0: all ports; 1: custom ports; 2: all switch vlan; 3: custom switch vlan |
customAclPorts | array<Switch ACL port entity> | no | Only for bindingType is custom ports, select the custom port or LAG of the device |
networkId | string | no | Only for bindingType VLAN |
bindingBridgeVlan | integer | no | Only for bindingType VLAN and network of bridge VLAN |
customAclOsws | array<string> | no | Only for bindingType is custom switch vlan, list of selected switch mac |
customAclStacks | array<string> | no | Only for bindingType is custom switch vlan, list of selected stack id |
customAclDevices | array<CustomAclOswOpenApiVO> | no | Only for bindingType is custom switch vlan, list of selected device |
etherType | Switch ACL ether type entity | yes | (Switch ACL ether type entity not expanded; call omada_get_schema "Switch ACL ether type entity") |
timeRangeId | string | no | Time range profile ID |
biDirectional | boolean | no | Whether to enable the bidirectional, this field required only when creating a new entry |
// omada_call_operation
{
"operationId": "modifyOswAcl",
"params": {
"siteId": "<siteId>",
"aclId": "<aclId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify a switch ACL.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify